cURL
curl --request POST \
--url https://api.flare.io/firework/v2/assets/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "domain",
"search_types": [
"source_code_secrets"
],
"data": {},
"experimental_search_types": [
"<string>"
],
"risks": [
123
]
}
'import requests
url = "https://api.flare.io/firework/v2/assets/"
payload = {
"name": "<string>",
"type": "domain",
"search_types": ["source_code_secrets"],
"data": {},
"experimental_search_types": ["<string>"],
"risks": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: 'domain',
search_types: ['source_code_secrets'],
data: {},
experimental_search_types: ['<string>'],
risks: [123]
})
};
fetch('https://api.flare.io/firework/v2/assets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asset": {
"type": "domain",
"search_types": [
"source_code_secrets"
],
"name": "<string>",
"data": {},
"id": 123,
"tenant_id": 123,
"feed_id": 123,
"experimental_search_types": [
"<string>"
],
"v3_refs": {
"asset_uuid": "<string>"
},
"risks": [
123
],
"fetching_progress": 123,
"count": 123,
"urn": "<string>",
"is_disabled": true,
"source": "USER",
"data_updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"code": "<string>"
}Identifiers
Create Identifier
POST
/
firework
/
v2
/
assets
/
cURL
DEPRECATED: This endpoint should be replaced by
/firework/v4/identifiers/
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum string length:
1Available options:
domain, name, keyword, github_repository, username, email, search_query, bin, ip, secret, azure_tenant, identity, ransomleak, external_id, address_data, birth_year, role, phone_number Example:
"domain"
Available options:
source_code_secrets, financial_data, forum_profile, stack_exchange, service, domain, invalid_credential, bucket, blog_post, seller, valid_credential, forum_topic, chat_message, ad, bucket_object, bot, paste, mitigated_credential, stealer_log, ransomleak, google, listing, leak, source_code_files, social_media_account, forum_post, docker, illicit_networks, open_web, buckets, source_code, leaks, domains, forum_content, blog_content, profile, ads, infected_devices, social_media Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I